image: node:latest
pages:
  cache:
    paths:
      - node_modules/
  stage: deploy
  script:
    - npm install -g @angular/cli@10.2.0
    - npm install
    - ng build --prod --base-href /yakoiou-front/
    - cp -r dist/yakoiou-front/* public/
  artifacts:
    paths:
      - public
  #only:
   # - master
    #- pages
